TokenLab

Worlds

Get World

Retrieves a completed World Labs Marble world

GET
/v1/worlds/{id}

Retrieve a completed Marble World. It must belong to the Workspace associated with the API key.

Path Parameters

idstringpathrequired

World Labs world ID.

Response

world_idstring

World Labs world ID.

world_marble_urlstring

World Labs Marble URL.

assetsobject

Generated world assets when available.

Request

curl "https://api.tokenlab.sh/v1/worlds/world_123" \
  -H "Authorization: Bearer sk-your-api-key"
{  "display_name": "string",  "world_id": "string",  "world_marble_url": "http://example.com",  "assets": {},  "created_at": "2019-08-24T14:15:22Z",  "model": "string",  "permission": {},  "tags": [    "string"  ],  "updated_at": "2019-08-24T14:15:22Z",  "world_prompt": {}}

Authorization

BearerAuth
AuthorizationBearer <token>

API Key authentication. Create or manage API keys in Dashboard > API > API Keys.

In: header

Path Parameters

id*string

World ID.

Response

application/json

application/json